Subject: Re: [PATCH v2 3/6] t: introduce WITH_BREAKING_CHANGES prerequisite

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 12 Mar 2025 08:01:07 +0100

On Tue, Mar 11, 2025 at 02:25:02PM -0700, Junio C Hamano wrote:
> Earlier c5bc9a7f (Makefile: wire up build option for deprecated
> features, 2025-01-22) made an unfortunate decision to introduce the
> WITHOUT_BREAKING_CHANGES prerequisite to perform tests that ensure
> the historical behaviour that may be different from what we will
> have in the future.  It would inevitably invite double-negation when
> we need to add tests to ensure the behaviour we want to have in the
> future.
> 
> Introduce WITH_BREAKING_CHANGES prerequisite and replace the
> existing uses of WITHOUT_BREAKING_CHANGES prerequisite.  To catch
> any future topics that add more uses of WITHOUT_BREAKING_CHANGES,
> introduce a mechanism to mark a prerequisite not to be used, and
> use it to mark the removed prerequisite as such.

Nit: the mechanism has already been introduced in the preceding commit.

Patrick